Bug 851834 - [abrt] pdfchain-0.3.3-2.fc17: gtk_tree_model_get_valist: Process /usr/bin/pdfchain was killed by signal 11 (SIGSEGV)
[abrt] pdfchain-0.3.3-2.fc17: gtk_tree_model_get_valist: Process /usr/bin/pdf...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pdfchain (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
abrt_hash:24d324caf13f72f561968b138d1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-26 04:54 EDT by Cédric OLIVIER
Modified: 2013-08-01 07:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:22:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.37 KB, text/plain)
2012-08-26 04:54 EDT, Cédric OLIVIER
no flags Details
File: maps (40.99 KB, text/plain)
2012-08-26 04:54 EDT, Cédric OLIVIER
no flags Details
File: dso_list (8.21 KB, text/plain)
2012-08-26 04:54 EDT, Cédric OLIVIER
no flags Details

  None (edit)
Description Cédric OLIVIER 2012-08-26 04:54:15 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        pdfchain
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/pdfchain
kernel:         3.5.1-1.fc17.x86_64
pid:            3073
pwd:            /tmp
remote_result:  NOTFOUND
time:           dim. 26 août 2012 10:47:29 CEST
uid:            1000
username:       Ced

backtrace:      Text file, 28025 bytes
dso_list:       Text file, 8403 bytes
maps:           Text file, 41976 bytes

build_ids:
:63651cdc0224824a9c9324c77c3b5887378e871d
:f534feded388130df4a9e789eec1e38c320bc55b
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:bb2d756c14442a66e49fb2174d624890ed096acc
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:4c9c864a7c7b7ed702088955821d58137803462d
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:6171088a04f8000d7abab7247800e6d370325893
:c4ec0971b2dcee71aaf8374975474054245fea00
:87712be648d2d43ea4cd002fe7a859df636f1e13
:b277af36744327e3d58eae76bcdaadcca71a28c6
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:ec87953f655fbcbcbe71b591db5451e56739576e
:d4ffd15a5a656e6f7ea2415b2c5f21cc54cc1df0
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:a1ba2bc316ac950764d3e8f371a959f2a9e26abf
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6880802db4dbe99bf291c5ca4e33a98ed02059fe
:f4c064df8745dff15466d705fb049138f9a5c949
:5a21060d9c8bf8faef9fd0a6f767d09d36730b12
:e3354959e32e471066df83c93f98f33e75198697
:253afe744466fe7580bbb6040de6183dba9e2b02
:6668de624a10d486a3484d5b4921f87b1e77d36c
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:42675a8ad8f70ff19362070510cdf1ba202a70db
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:508cf66f72e70054a41215f80ed2385c6bb80030
:54a5cc118d928470da13565de8592b664a9868e0
:516204cfc31148538d56b21e2f1b945ed50127d4
:b8fcb6362ddf4d70d04984a463ecf0dc533dfdc5
:ebc779125d37b2b0595730b6d78d477fe7b6bc53
:373e51713a44ff499594a4ff1a5acd8e9254c128
:a553a7e9625a224a8f39286909adc17787ad51bd
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:d804f8ee47797da9213a92f00cd095ecada8d79f
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:f11637fe4d66ce68785e3565d4ad73c2cfd3b6ba
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:0008a6c4028b3826f8905324c770e7aa450e5d3b
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:42147224a191a382ea9902023e3816f4caed1ef0
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:9e6594e38d36f94f5e02c90731970f1c72396147
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7c35310fc506498c612d5d982ab03becc4b4817c
:edb66e9ce904aaaca21ec3777d64e0158854dbce
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:67792c148d2b8f13f6732c9367e926c26d7376c5
:4b044fe80e4c1b69986abc4b160c303048005d4e
:ecad3f852f36e91716e85a1cfcc410e83db0976b
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:1ec2a7bb430f6ec982e05dce422ee2ad7ca535af
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:c7dfd61cb60f624b87fe72ea7e3550d1b13eb85e
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc
:8f7c190397d7c1f617e66f18f759714662b60367
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:79aee4375d1f48c032b56a6a0a9c15b3773b030e
:247132297f287226a24c12e683292f5c94013066
:f3cd3b4e0a6c31e9af1598f478198ab0f52b6ca9
:da0831cf9c551543fbc94e797a102a57a30e790f
:726a299098b7695fc69d788f6b19468810c1ba6e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/Ced/2

core_backtrace:
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x2666f8 gtk_tree_model_get_valist libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x266a0c gtk_tree_model_get libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x11d3a5 gtk_entry_completion_compute_prefix libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x11d51c gtk_entry_completion_insert_prefix libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x10bd30 - libgtk-3.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x29079 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x29041 - libgobject-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x179f75 gtk_main libgtk-3.so.0 -
:b8fcb6362ddf4d70d04984a463ecf0dc533dfdc5 0x3151e1 Gtk::Main::run(Gtk::Window&) libgtkmm-3.0.so.1 -
:6171088a04f8000d7abab7247800e6d370325893 0x15f27 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=venom.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/Ced/keyring-0hYmbp/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=31457285
:GNOME_KEYRING_CONTROL=/run/user/Ced/keyring-0hYmbp
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=Ced
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.htm=00;33:*.html=00;33:*.shtml=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/Ced/keyring-0hYmbp/ssh
:USERNAME=Ced
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1218,unix/unix:/tmp/.ICE-unix/1218
:PATH=/usr/lib64/qt-3.3/bin:/usr/NX/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/Ced/.local/bin:/home/Ced/bin
:MAIL=/var/spool/mail/Ced
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:NXDIR=/usr/NX
:PWD=/tmp
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1214
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/Ced
:XDG_SEAT=seat0
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=Ced
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-p3WOD8XZiq,guid=a1deeb72e1652802a64c44be00000041
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/Ced
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-Ced-lqzVIG/database
:OLDPWD=/home/Ced
:_=/usr/bin/pdfchain

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31465                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31465                31465                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0
:pos:	0
:flags:	0100002
:1:/dev/pts/0
:pos:	0
:flags:	0100002
:2:/dev/pts/0
:pos:	0
:flags:	0100002
:3:socket:[20175029]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[20175033]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[20174837]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[20174838]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 26 10:45:33 venom abrt[3029]: Saved core dump of pid 2975 (/usr/bin/pdfchain) to /var/spool/abrt/ccpp-2012-08-26-10:45:32-2975 (81633280 bytes)
:Aug 26 10:47:29 venom kernel: [181749.514671] pdfchain[3073]: segfault at 30 ip 00000039184666f8 sp 00007fffcedbfcb0 error 4 in libgtk-3.so.0.400.4[3918200000+472000]
:Aug 26 10:47:30 venom abrt[3212]: Saved core dump of pid 3073 (/usr/bin/pdfchain) to /var/spool/abrt/ccpp-2012-08-26-10:47:29-3073 (74141696 bytes)
Comment 1 Cédric OLIVIER 2012-08-26 04:54:19 EDT
Created attachment 607046 [details]
File: backtrace
Comment 2 Cédric OLIVIER 2012-08-26 04:54:22 EDT
Created attachment 607047 [details]
File: maps
Comment 3 Cédric OLIVIER 2012-08-26 04:54:24 EDT
Created attachment 607048 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 23:33:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 07:22:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.